dpkg-query(1)

NOM
dpkg-query - Un outil pour interroger la base de données de dpkg

SYNOPSIS
dpkg-query [option...] commande

DESCRIPTION
dpkg-query est un outil pour afficher des informations sur les paquets connus par la base de données de dpkg.

COMMANDES

-l, --list [motif-de-nom-de-paquet...]
    Affiche les paquets correspondant au motif donné. Si aucun nom-paquet-motif n'est indiqué, affiche tous les paquets de /var/lib/dpkg/status, sauf ceux qui ne sont pas installés (c'est-à-dire ceux qui ont été précédemment purgés). Les métacaractères ordinaires de l'interpréteur de commandes sont autorisés dans nom-paquet-motif. Il faudra sans doute mettre nom-paquet-motif entre apostrophes pour éviter l'expansion des noms de fichier par l'interpréteur de commandes. Par exemple, tous les paquets dont le nom commence par « libc6 » seront affichés par la commande :
    dpkg-query -l 'libc6*'
    Les trois premières colonnes affichées montrent dans l'ordre : l'action souhaitée, l'état du paquet et les erreurs. Action souhaitée :
      u = Inconnu (Unknown)
      i = Installer (Install)
      h = Garder (Hold)
      r = Supprimer (Remove)
      p = Purger (Purge)
    État du paquet :
      n = Non installé (Not-installed)
      c = Fichiers de configuration (Config-files)
      H = Semi-installé (Half-installed)
      U = Décompressé (Unpacked)
      F = Semi-configuré (Half-configured)
      W = Attente de déclenchements (Triggers-awaiting)
      t = Déclenchements en attente (Triggers-pending)
      i = Installé (Installed)
    Drapeaux d'erreur :
      <empty> = (none)
      R = Reinst-required
    Un état en majuscules ou une lettre d'erreur indiquent que le paquet peut provoquer des problèmes graves. Veuillez consulter dpkg(1) à propos des états et drapeaux ci-dessus. On ne peut pas configurer le format de sortie de cette option. Il s'adapte automatiquement à la largeur du terminal. Ce format est destiné aux humains et la machine le lit mal. Voyez -W (--show) et --showformat pour une possible configuration de ce format.

-W, --show [motif-de-nom-de-paquet...]
    Just like the --list option this will list all packages matching the given pattern. However the output can be customized using the --showformat option. The default output format gives one line per matching package, each line having the name (extended with the architecture qualifier for Multi-Arch same packages) and installed version of the package, separated by a tab.

-s, --status nom-paquet ...
    Donne l'état du paquet indiqué. C'est simplement l'affichage de l'entrée de la base de données concernant les états des paquets installés. Lorsque des noms-de-paquets multiples sont indiqués, les entrées d'état demandées sont séparées par une ligne vide et sont dans l'ordre utilisé pour la liste de paramètres.

-L, --listfiles nom-paquet...
    Affiche la liste des fichiers du nom-paquet installés sur le système. Lorsque plusieurs nom-paquet sont indiqués, les différentes listes de fichiers sont séparées par une ligne vide et elles sont fournies dans l'ordre de la liste de paramètres. Il faut remarquer cependant que les fichiers créés par les scripts d'installation propres aux paquets ne sont pas affichés.

--control-list nom-de-paquet
    Affiche les fichiers de contrôle installés sur le système à partir de nom-de-paquet. Ceux-ci peuvent être utilisés en paramètres d'entrée de --control-show.

--control-show nom-de-paquet fichier-de-contrôle
    Affiche sur la sortie standard le fichier-de-contrôle installé sur le système pour nom-de-paquet.

-c, --control-path nom-paquet [fichier-contrôle]
    Affiche les chemins pour les fichiers de contrôle installés sur votre système pour nom-paquet. Si fichier-contrôle est indiqué, seul le chemin pour ce fichier de contrôle sera affiché, s'il est présent. Attention : cette commande est obsolète et il est conseillé d'utiliser --control-list et --control-show à la place.

-S, --search motif-de-nom-a-rechercher...
    Recherche les paquets propriétaires de fichiers dont le nom correspond au motif indiqué. On peut utiliser dans le motif tous les métacaractères de l'interpréteur de commandes. Cette commande ne donne pas les fichiers supplémentaires créés par les scripts du responsable de paquet, ni les alternatives.

-p, --print-avail nom-paquet...
    Affiche les détails relatifs à nom-paquet, tels que présents dans /var/lib/dpkg/available. Si des nom-paquet multiples sont indiqués, les entrées available correspondantes seront séparées par des lignes vides et apparaîtront dans l'ordre de la liste de paramètres. Les utilisateurs des outils basés sur APT devraient plutôt utiliser la commande apt-cache show nom-paquet car le fichier available n'est tenu à jour que lorsque dselect est utilisé.

-?, --help
    Affiche un message d'aide puis quitte.

--version
    Affiche le numéro de version puis quitte.

OPTIONS

--admindir=dir
    Change l'endroit où se trouve la base de données de dpkg. Par défaut, c'est /var/lib/dpkg.

--load-avail
    Charge également le fichier available à l'utilisation des commandes --show et --list, ce qui désormais revient à n'interroger que le fichier status.

-f, --showformat=format
    Cette option sert à spécifier le format de sortie de l'option --show. Ce format sera utilisé pour chaque paquet listé. Dans la chaîne, “\” déspécifie le caractère
        \n  nouvelle ligne
        \r  retour chariot
        \t  tabulation
    “\” avant un caractère supprime la signification du caractère qui suit. C'est utile pour les caractères “\” et “$”. L'information relative à un paquet peut être indiquée en insérant des appels de variables spécifiant des champs du paquet avec la syntaxe suivante : “${field[;width]}”. Les champs sont alignés à droite, à moins que la largeur ne soit négative, auquel cas ils sont alignés à gauche. Les champs suivants sont reconnus, mais pas nécessairement disponibles dans le fichier d'état (seuls les champs internes ou les champs conservés avec le paquet binaire le sont) :
        Architecture
        Bugs
        Conffiles (interne)
        Config-Version (interne)
        Conflicts
        Breaks
        Depends
        Description
        Enhances
        Essential
        Filename (interne, lié au programme frontal)
        Homepage
        Installed-Size
        MD5sum (interne, lié au programme frontal)
        MSDOS-Filename (interne, lié au programme frontal)
        Maintainer
        Origin
        Package
        Pre-Depends
        Priority
        Provides
        Recommends
        Replaces
        Revision (obsolète)
        Section
        Size (interne, lié au programme frontal)
        Source
        Status (interne)
        Suggests
        Tag (en général pas dans le .deb mais dans les fichiers Packages des dépôts)
        Triggers-Awaited (interne)
        Triggers-Pending (interne)
        Version
    Les champs suivants sont virtuels, créés par dpkg-query à partir des valeurs d'autres champs (veuillez noter qu'il utilisent des noms qui ne sont pas valables comme noms de champs dans le fichiers de contrôle) :
        binary:Package
        binary:Summary
        db:Status-Abbrev
        source:Package
        source:Version
    The default format string is “${binary:Package}\t${Version}\n”. Actually, all other fields found in the status file (i.e. user defined fields) can be requested, too. They will be printed as-is, though, no conversion nor error checking is done on them. binary:Package is a special field that will print the package name with an architecture qualifier (like "libc6:amd64") if the package has a Multi-Arch field with a value of same, and as such its name could be ambiguous. To get the name of the dpkg maintainer and the installed version, you could run:
      dpkg-query -W -f='${binary:Package} ${Version}\t${Maintainer}\n' dpkg

CODE DE SORTIE

0   La requête demandée s'est correctement déroulée.

1   Problems were encountered while parsing the command line or performing the query, including no file or package being found (except for --control-path).

ENVIRONNEMENT

DPKG_ADMINDIR
    If set and the --admindir option has not been specified, it will be used as the dpkg data directory.

COLUMNS
    Ce réglage influence la sortie de l'option --list en modifiant la largeur d'affichage.

VOIR AUSSI
dpkg(1).

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.